=== debian/control ===
Source: ros-noetic-flatland-viz
Section: misc
Priority: optional
Maintainer: Joseph Duchesne <joseph@avidbots.com>
Build-Depends: debhelper (>= 9.0.0), libogre-1.9-dev, libqt5core5a, libqt5gui5, libqt5widgets5, qtbase5-dev, ros-noetic-catkin, ros-noetic-cmake-modules, ros-noetic-flatland-msgs, ros-noetic-flatland-server, ros-noetic-roscpp, ros-noetic-rviz
Homepage: https://bitbucket.org/avidbots/flatland
Standards-Version: 3.9.2

Package: ros-noetic-flatland-viz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libogre-1.9-dev, libqt5core5a, libqt5gui5, libqt5widgets5, qtbase5-dev, ros-noetic-flatland-msgs, ros-noetic-flatland-server, ros-noetic-roscpp, ros-noetic-rviz
Description: The flatland gui and visualization
